/* $Id: LoadFileAction.java 217 2011-06-10 00:53:06Z ohura $ */
package smart_gs.menu.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.image_search.GSSearchEngine;
import smart_gs.logical.Preference;

public class LoadFileAction implements ActionListener{
	
	public void actionPerformed(ActionEvent e) {
		this.execute();
	}
	public void execute(){
		Preference.getInstance().setShouldLoadAll(true);
		GSSearchEngine.getInstance().prepareSearch();
		
	}
}
